Update Invoice

Update an existing invoice. All variables (besides currency) on an invoice may be updated. Updating an invoice will not result in a new invoice being sent to the customer.

Path Params
integer
required

The invoice ID to be updated.

Body Params
number

Total amount to be invoiced. Must be greater than 0.00. Format: x.xx

float
≥ 0

Subtotal amount before tax and shipping

string
Defaults to upon_receipt

When the invoice should be paid. Values: 'upon_receipt', or integers from 0-999. Default - upon_receipt.

payment_methods_allowed
array of strings

Payment methods allowed for this invoice. 'cc' = Credit Card, 'ck' = Check, 'cs' = Cash

payment_methods_allowed
string

If using Multiple MIDs, route to this processor (processor_id is obtained under Settings → Transaction Routing in the Control Panel).

If allowing multiple payment types, one processor_id can be selected per payment type by submitting comma-separated values.

string
length between 3 and 3

The transaction currency. Format: ISO 4217 (must be uppercase 3-letter code)

billing_address
object

Billing address information for REST API payment transactions

shipping_address
object

Shipping address information for REST API payment transactions

order_details
object

Order details and line items for REST API payment transactions

merchant_defined_fields
object

Custom fields that can be set up in merchant control panel under Settings->Merchant Defined Fields

Responses

401

Unauthorized

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json